public final class DefaultAsyncClient extends Object implements AsyncClient
Main client.
| 限定符和类型 | 字段和说明 |
|---|---|
protected Map<String,String> |
endpointMap |
protected String |
endpointRule |
protected darabonba.core.TeaAsyncHandler |
handler |
protected String |
product |
protected darabonba.core.TeaRequest |
REQUEST |
protected String |
version |
| 限定符 | 构造器和说明 |
|---|---|
protected |
DefaultAsyncClient(darabonba.core.client.ClientConfiguration configuration) |
| 限定符和类型 | 方法和说明 |
|---|---|
CompletableFuture<AcceptHandshakeResponse> |
acceptHandshake(AcceptHandshakeRequest request)
After an invited Alibaba Cloud account joins a resource directory, it becomes a member of the resource directory.
|
CompletableFuture<AttachControlPolicyResponse> |
attachControlPolicy(AttachControlPolicyRequest request)
After you attach an access control policy, the operations performed on resources by using members are limited by the policy.
|
CompletableFuture<AttachPolicyResponse> |
attachPolicy(AttachPolicyRequest request)
In this example, the policy `AdministratorAccess` is attached to the RAM user `alice@demo.onaliyun.com` and takes effect only for resources in the `rg-9gLOoK****` resource group.
|
CompletableFuture<BindSecureMobilePhoneResponse> |
bindSecureMobilePhone(BindSecureMobilePhoneRequest request)
You can call this API operation only to bind a mobile phone number to a member of the resource account type.
|
CompletableFuture<CancelChangeAccountEmailResponse> |
cancelChangeAccountEmail(CancelChangeAccountEmailRequest request) |
CompletableFuture<CancelCreateCloudAccountResponse> |
cancelCreateCloudAccount(CancelCreateCloudAccountRequest request) |
CompletableFuture<CancelHandshakeResponse> |
cancelHandshake(CancelHandshakeRequest request)
This topic provides an example on how to call the API operation to cancel the invitation whose ID is `h-ycm4rp****`.
|
CompletableFuture<CancelPromoteResourceAccountResponse> |
cancelPromoteResourceAccount(CancelPromoteResourceAccountRequest request) |
CompletableFuture<ChangeAccountEmailResponse> |
changeAccountEmail(ChangeAccountEmailRequest request) |
CompletableFuture<CheckAccountDeleteResponse> |
checkAccountDelete(CheckAccountDeleteRequest request)
Before you delete a member, you must call this API operation to check whether the member can be deleted.
|
void |
close() |
CompletableFuture<CreateCloudAccountResponse> |
createCloudAccount(CreateCloudAccountRequest request)
A resource directory supports two types of member accounts: resource accounts and cloud accounts
|
CompletableFuture<CreateControlPolicyResponse> |
createControlPolicy(CreateControlPolicyRequest request)
This topic provides an example on how to call the API operation to create a custom access control policy named `ExampleControlPolicy`.
|
CompletableFuture<CreateFolderResponse> |
createFolder(CreateFolderRequest request)
> A maximum of five levels of folders can be created under the root folder.
|
CompletableFuture<CreatePolicyResponse> |
createPolicy(CreatePolicyRequest request) |
CompletableFuture<CreatePolicyVersionResponse> |
createPolicyVersion(CreatePolicyVersionRequest request) |
CompletableFuture<CreateResourceAccountResponse> |
createResourceAccount(CreateResourceAccountRequest request)
A member serves as a container for resources and is also an organizational unit in a resource directory.
|
CompletableFuture<CreateResourceGroupResponse> |
createResourceGroup(CreateResourceGroupRequest request)
For more information about common request parameters, see [Common parameters](~~159973~~).
|
CompletableFuture<CreateRoleResponse> |
createRole(CreateRoleRequest request) |
CompletableFuture<CreateServiceLinkedRoleResponse> |
createServiceLinkedRole(CreateServiceLinkedRoleRequest request) |
CompletableFuture<DeclineHandshakeResponse> |
declineHandshake(DeclineHandshakeRequest request) |
CompletableFuture<DeleteAccountResponse> |
deleteAccount(DeleteAccountRequest request)
The ID of the member that you want to delete.
|
CompletableFuture<DeleteControlPolicyResponse> |
deleteControlPolicy(DeleteControlPolicyRequest request)
If you want to delete a custom control policy that is attached to folders or member accounts, you must call the [DetachControlPolicy](~~208331~~) operation to detach the policy before you delete it.
|
CompletableFuture<DeleteFolderResponse> |
deleteFolder(DeleteFolderRequest request)
> Before you delete a folder, make sure that the folder does not contain any member accounts or child folders.
|
CompletableFuture<DeletePolicyResponse> |
deletePolicy(DeletePolicyRequest request)
>
* Before you delete a policy, you must delete all non-default versions of the policy.
|
CompletableFuture<DeletePolicyVersionResponse> |
deletePolicyVersion(DeletePolicyVersionRequest request)
> The default version of a permission policy cannot be deleted.
|
CompletableFuture<DeleteResourceGroupResponse> |
deleteResourceGroup(DeleteResourceGroupRequest request)
> Before you delete a resource group, you must delete all the resources in it.
|
CompletableFuture<DeleteRoleResponse> |
deleteRole(DeleteRoleRequest request) |
CompletableFuture<DeleteServiceLinkedRoleResponse> |
deleteServiceLinkedRole(DeleteServiceLinkedRoleRequest request) |
CompletableFuture<DeregisterDelegatedAdministratorResponse> |
deregisterDelegatedAdministrator(DeregisterDelegatedAdministratorRequest request)
> If the delegated administrator account that you want to remove has historical management tasks in the related trusted service, the trusted service may be affected after the delegated administrator account is removed.
|
CompletableFuture<DestroyResourceDirectoryResponse> |
destroyResourceDirectory(DestroyResourceDirectoryRequest request)
Before you disable a resource directory, make sure that the following requirements are met:
* All member accounts must be removed from the resource directory.
|
CompletableFuture<DetachControlPolicyResponse> |
detachControlPolicy(DetachControlPolicyRequest request)
After you detach an access control policy, the operations performed on resources by using members are not limited by the policy.
|
CompletableFuture<DetachPolicyResponse> |
detachPolicy(DetachPolicyRequest request) |
CompletableFuture<DisableControlPolicyResponse> |
disableControlPolicy(DisableControlPolicyRequest request)
After you disable the Control Policy feature, the system automatically detaches all control policies that are attached to folders and member accounts.
|
CompletableFuture<EnableControlPolicyResponse> |
enableControlPolicy(EnableControlPolicyRequest request)
The Control Policy feature allows you to manage the permission boundaries of the folders or member accounts in a resource directory in a centralized manner.
|
CompletableFuture<EnableResourceDirectoryResponse> |
enableResourceDirectory(EnableResourceDirectoryRequest request)
You can use the current account or a newly created account to enable a resource directory.
|
CompletableFuture<GetAccountResponse> |
getAccount(GetAccountRequest request)
This topic provides an example on how to call the API operation to query the information of the member whose Alibaba Cloud account ID is `181761095690****`.
|
CompletableFuture<GetAccountDeletionCheckResultResponse> |
getAccountDeletionCheckResult(GetAccountDeletionCheckResultRequest request)
After you call the [CheckAccountDelete](~~448542~~) operation to perform a member deletion check, you can call the GetAccountDeletionCheckResult operation to query the check result.
|
CompletableFuture<GetAccountDeletionStatusResponse> |
getAccountDeletionStatus(GetAccountDeletionStatusRequest request) |
CompletableFuture<GetControlPolicyResponse> |
getControlPolicy(GetControlPolicyRequest request)
This topic provides an example on how to call the API operation to query the details of the access control policy whose ID is `cp-SImPt8GCEwiq****`.
|
CompletableFuture<GetControlPolicyEnablementStatusResponse> |
getControlPolicyEnablementStatus(GetControlPolicyEnablementStatusRequest request) |
CompletableFuture<GetFolderResponse> |
getFolder(GetFolderRequest request)
In this example, the information of the folder `fd-Jyl5U7****` is queried.
|
CompletableFuture<GetHandshakeResponse> |
getHandshake(GetHandshakeRequest request)
In this example, the information of the invitation whose ID is `h-ycm4rp****` is queried.
|
CompletableFuture<GetPayerForAccountResponse> |
getPayerForAccount(GetPayerForAccountRequest request) |
CompletableFuture<GetPolicyResponse> |
getPolicy(GetPolicyRequest request) |
CompletableFuture<GetPolicyVersionResponse> |
getPolicyVersion(GetPolicyVersionRequest request) |
CompletableFuture<GetResourceDirectoryResponse> |
getResourceDirectory(GetResourceDirectoryRequest request)
This topic provides an example on how to use a management account to call the API operation to query the information of the resource directory that is enabled by using the management account.
|
CompletableFuture<GetResourceGroupResponse> |
getResourceGroup(GetResourceGroupRequest request)
For more information about common request parameters, see [Common parameters](~~159973~~).
|
CompletableFuture<GetRoleResponse> |
getRole(GetRoleRequest request) |
CompletableFuture<GetServiceLinkedRoleDeletionStatusResponse> |
getServiceLinkedRoleDeletionStatus(GetServiceLinkedRoleDeletionStatusRequest request) |
CompletableFuture<InitResourceDirectoryResponse> |
initResourceDirectory(InitResourceDirectoryRequest request)
>
* An account can be used to enable a resource directory only after it passes enterprise real-name verification.
|
CompletableFuture<InviteAccountToResourceDirectoryResponse> |
inviteAccountToResourceDirectory(InviteAccountToResourceDirectoryRequest request)
This topic provides an example on how to call the API operation to invite the account `someone@example.com` to join a resource directory.
|
CompletableFuture<ListAccountsResponse> |
listAccounts(ListAccountsRequest request)
You can use only the management account of a resource directory or a delegated administrator account of a trusted service to call this operation.
|
CompletableFuture<ListAccountsForParentResponse> |
listAccountsForParent(ListAccountsForParentRequest request) |
CompletableFuture<ListAncestorsResponse> |
listAncestors(ListAncestorsRequest request) |
CompletableFuture<ListControlPoliciesResponse> |
listControlPolicies(ListControlPoliciesRequest request)
This topic provides an example on how to call the API operation to query the system access control policies within a resource directory.
|
CompletableFuture<ListControlPolicyAttachmentsForTargetResponse> |
listControlPolicyAttachmentsForTarget(ListControlPolicyAttachmentsForTargetRequest request)
This topic provides an example on how to call the API operation to query the access control policies that are attached to the folder `fd-ZDNPiT****`.
|
CompletableFuture<ListDelegatedAdministratorsResponse> |
listDelegatedAdministrators(ListDelegatedAdministratorsRequest request)
This topic provides an example on how to call the API operation to query all delegated administrator accounts in a resource directory.
|
CompletableFuture<ListDelegatedServicesForAccountResponse> |
listDelegatedServicesForAccount(ListDelegatedServicesForAccountRequest request)
This topic provides an example on how to call the API operation to query the trusted services for which the member `138660628348****` is specified as a delegated administrator account.
|
CompletableFuture<ListFoldersForParentResponse> |
listFoldersForParent(ListFoldersForParentRequest request)
> You can view the information of only the first-level subfolders of a folder.
|
CompletableFuture<ListHandshakesForAccountResponse> |
listHandshakesForAccount(ListHandshakesForAccountRequest request)
This topic provides an example on how to call the API operation to query the invitations that are associated with the management account `172841235500****`.
|
CompletableFuture<ListHandshakesForResourceDirectoryResponse> |
listHandshakesForResourceDirectory(ListHandshakesForResourceDirectoryRequest request) |
CompletableFuture<ListPoliciesResponse> |
listPolicies(ListPoliciesRequest request) |
CompletableFuture<ListPolicyAttachmentsResponse> |
listPolicyAttachments(ListPolicyAttachmentsRequest request)
You can view the following information:
* Policy attachment records under an Alibaba Cloud account or a resource group
* Policies attached to RAM users, RAM user groups, or RAM roles
* RAM users, RAM user groups, or RAM roles to which policies are attached under an Alibaba Cloud account or a resource group
|
CompletableFuture<ListPolicyVersionsResponse> |
listPolicyVersions(ListPolicyVersionsRequest request) |
CompletableFuture<ListResourceGroupsResponse> |
listResourceGroups(ListResourceGroupsRequest request)
You can call this API operation to query all resource groups within the current account.
|
CompletableFuture<ListResourcesResponse> |
listResources(ListResourcesRequest request)
> You can use a RAM role that is not associated with a session policy to call this API operation.
|
CompletableFuture<ListRolesResponse> |
listRoles(ListRolesRequest request) |
CompletableFuture<ListTagKeysResponse> |
listTagKeys(ListTagKeysRequest request)
This topic provides an example on how to call the API operation to query tag keys.
|
CompletableFuture<ListTagResourcesResponse> |
listTagResources(ListTagResourcesRequest request)
This topic provides an example on how to call the API operation to query the tags that are added to the resource group with an ID of `rg-aekz6bre2uq****`.
|
CompletableFuture<ListTagValuesResponse> |
listTagValues(ListTagValuesRequest request)
This topic provides an example on how to call the API operation to query the tag values of the tag key k1.
|
CompletableFuture<ListTargetAttachmentsForControlPolicyResponse> |
listTargetAttachmentsForControlPolicy(ListTargetAttachmentsForControlPolicyRequest request)
In this example, the folders or member accounts to which the control policy `cp-jExXAqIYkwHN****` is attached are queried.
|
CompletableFuture<ListTrustedServiceStatusResponse> |
listTrustedServiceStatus(ListTrustedServiceStatusRequest request)
> Only an enterprise management account or delegated administrator account can be used to call this operation.
|
CompletableFuture<MoveAccountResponse> |
moveAccount(MoveAccountRequest request) |
CompletableFuture<MoveResourcesResponse> |
moveResources(MoveResourcesRequest request)
For more information about Alibaba Cloud services whose resources can be moved between resource groups, see the **Supported by the API** column in [Alibaba Cloud services that support resource groups](~~94479~~).
|
CompletableFuture<PromoteResourceAccountResponse> |
promoteResourceAccount(PromoteResourceAccountRequest request) |
CompletableFuture<RegisterDelegatedAdministratorResponse> |
registerDelegatedAdministrator(RegisterDelegatedAdministratorRequest request)
The delegated administrator account can be used to access the information of the resource directory and view the structure and members of the resource directory.
|
CompletableFuture<RemoveCloudAccountResponse> |
removeCloudAccount(RemoveCloudAccountRequest request)
This topic provides an example on how to call the API operation to remove the member `177242285274****` from a resource directory.
|
CompletableFuture<ResendCreateCloudAccountEmailResponse> |
resendCreateCloudAccountEmail(ResendCreateCloudAccountEmailRequest request) |
CompletableFuture<ResendPromoteResourceAccountEmailResponse> |
resendPromoteResourceAccountEmail(ResendPromoteResourceAccountEmailRequest request) |
CompletableFuture<RetryChangeAccountEmailResponse> |
retryChangeAccountEmail(RetryChangeAccountEmailRequest request) |
CompletableFuture<SendVerificationCodeForBindSecureMobilePhoneResponse> |
sendVerificationCodeForBindSecureMobilePhone(SendVerificationCodeForBindSecureMobilePhoneRequest request)
To ensure that the system can record the operators of management operations, you must use a RAM user or RAM role to which the AliyunResourceDirectoryFullAccess policy is attached within the management account of your resource directory to call this operation.
|
CompletableFuture<SendVerificationCodeForEnableRDResponse> |
sendVerificationCodeForEnableRD(SendVerificationCodeForEnableRDRequest request)
Each Alibaba Cloud account can be used to send a maximum of 100 verification codes per day.
|
CompletableFuture<SetDefaultPolicyVersionResponse> |
setDefaultPolicyVersion(SetDefaultPolicyVersionRequest request) |
CompletableFuture<SetMemberDeletionPermissionResponse> |
setMemberDeletionPermission(SetMemberDeletionPermissionRequest request)
Members of the resource account type can be deleted only after the member deletion feature is enabled.
|
CompletableFuture<TagResourcesResponse> |
tagResources(TagResourcesRequest request)
This topic provides an example on how to call the API operation to add the tag `k1:v1` to the resource group with an ID of `rg-aekz6bre2uq****`.
|
CompletableFuture<UntagResourcesResponse> |
untagResources(UntagResourcesRequest request)
This topic provides an example on how to call the API operation to remove the tag whose tag key is `k1` from the resource group whose ID is `rg-aek2dpwyrfr****`.
|
CompletableFuture<UpdateAccountResponse> |
updateAccount(UpdateAccountRequest request)
* To ensure that the system can record the operators of management operations, you must use a RAM user or RAM role to which the AliyunResourceDirectoryFullAccess policy is attached within the management account of your resource directory to call this operation
|
CompletableFuture<UpdateControlPolicyResponse> |
updateControlPolicy(UpdateControlPolicyRequest request)
In this example, the name of the access control policy whose ID is `cp-jExXAqIYkwHN****` is changed to `NewControlPolicy`.
|
CompletableFuture<UpdateFolderResponse> |
updateFolder(UpdateFolderRequest request) |
CompletableFuture<UpdateResourceGroupResponse> |
updateResourceGroup(UpdateResourceGroupRequest request)
In this example, the display name of the resource group `rg-9gLOoK****` is changed to `project`.
|
CompletableFuture<UpdateRoleResponse> |
updateRole(UpdateRoleRequest request)
In this example, the description of the RAM role `ECSAdmin` is updated to `ECS administrator`.
|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitbuilder, createprotected final String product
protected final String version
protected final String endpointRule
protected final darabonba.core.TeaRequest REQUEST
protected final darabonba.core.TeaAsyncHandler handler
protected DefaultAsyncClient(darabonba.core.client.ClientConfiguration configuration)
public void close()
close 在接口中 com.aliyun.core.utils.SdkAutoCloseableclose 在接口中 AutoCloseablepublic CompletableFuture<AcceptHandshakeResponse> acceptHandshake(AcceptHandshakeRequest request)
acceptHandshake 在接口中 AsyncClientpublic CompletableFuture<AttachControlPolicyResponse> attachControlPolicy(AttachControlPolicyRequest request)
attachControlPolicy 在接口中 AsyncClientpublic CompletableFuture<AttachPolicyResponse> attachPolicy(AttachPolicyRequest request)
attachPolicy 在接口中 AsyncClientpublic CompletableFuture<BindSecureMobilePhoneResponse> bindSecureMobilePhone(BindSecureMobilePhoneRequest request)
bindSecureMobilePhone 在接口中 AsyncClientpublic CompletableFuture<CancelChangeAccountEmailResponse> cancelChangeAccountEmail(CancelChangeAccountEmailRequest request)
cancelChangeAccountEmail 在接口中 AsyncClientpublic CompletableFuture<CancelCreateCloudAccountResponse> cancelCreateCloudAccount(CancelCreateCloudAccountRequest request)
cancelCreateCloudAccount 在接口中 AsyncClientpublic CompletableFuture<CancelHandshakeResponse> cancelHandshake(CancelHandshakeRequest request)
cancelHandshake 在接口中 AsyncClientpublic CompletableFuture<CancelPromoteResourceAccountResponse> cancelPromoteResourceAccount(CancelPromoteResourceAccountRequest request)
cancelPromoteResourceAccount 在接口中 AsyncClientpublic CompletableFuture<ChangeAccountEmailResponse> changeAccountEmail(ChangeAccountEmailRequest request)
changeAccountEmail 在接口中 AsyncClientpublic CompletableFuture<CheckAccountDeleteResponse> checkAccountDelete(CheckAccountDeleteRequest request)
checkAccountDelete 在接口中 AsyncClientpublic CompletableFuture<CreateCloudAccountResponse> createCloudAccount(CreateCloudAccountRequest request)
createCloudAccount 在接口中 AsyncClientpublic CompletableFuture<CreateControlPolicyResponse> createControlPolicy(CreateControlPolicyRequest request)
createControlPolicy 在接口中 AsyncClientpublic CompletableFuture<CreateFolderResponse> createFolder(CreateFolderRequest request)
createFolder 在接口中 AsyncClientpublic CompletableFuture<CreatePolicyResponse> createPolicy(CreatePolicyRequest request)
createPolicy 在接口中 AsyncClientpublic CompletableFuture<CreatePolicyVersionResponse> createPolicyVersion(CreatePolicyVersionRequest request)
createPolicyVersion 在接口中 AsyncClientpublic CompletableFuture<CreateResourceAccountResponse> createResourceAccount(CreateResourceAccountRequest request)
createResourceAccount 在接口中 AsyncClientpublic CompletableFuture<CreateResourceGroupResponse> createResourceGroup(CreateResourceGroupRequest request)
createResourceGroup 在接口中 AsyncClientpublic CompletableFuture<CreateRoleResponse> createRole(CreateRoleRequest request)
createRole 在接口中 AsyncClientpublic CompletableFuture<CreateServiceLinkedRoleResponse> createServiceLinkedRole(CreateServiceLinkedRoleRequest request)
createServiceLinkedRole 在接口中 AsyncClientpublic CompletableFuture<DeclineHandshakeResponse> declineHandshake(DeclineHandshakeRequest request)
declineHandshake 在接口中 AsyncClientpublic CompletableFuture<DeleteAccountResponse> deleteAccount(DeleteAccountRequest request)
deleteAccount 在接口中 AsyncClientpublic CompletableFuture<DeleteControlPolicyResponse> deleteControlPolicy(DeleteControlPolicyRequest request)
deleteControlPolicy 在接口中 AsyncClientpublic CompletableFuture<DeleteFolderResponse> deleteFolder(DeleteFolderRequest request)
deleteFolder 在接口中 AsyncClientpublic CompletableFuture<DeletePolicyResponse> deletePolicy(DeletePolicyRequest request)
deletePolicy 在接口中 AsyncClientpublic CompletableFuture<DeletePolicyVersionResponse> deletePolicyVersion(DeletePolicyVersionRequest request)
deletePolicyVersion 在接口中 AsyncClientpublic CompletableFuture<DeleteResourceGroupResponse> deleteResourceGroup(DeleteResourceGroupRequest request)
deleteResourceGroup 在接口中 AsyncClientpublic CompletableFuture<DeleteRoleResponse> deleteRole(DeleteRoleRequest request)
deleteRole 在接口中 AsyncClientpublic CompletableFuture<DeleteServiceLinkedRoleResponse> deleteServiceLinkedRole(DeleteServiceLinkedRoleRequest request)
deleteServiceLinkedRole 在接口中 AsyncClientpublic CompletableFuture<DeregisterDelegatedAdministratorResponse> deregisterDelegatedAdministrator(DeregisterDelegatedAdministratorRequest request)
deregisterDelegatedAdministrator 在接口中 AsyncClientpublic CompletableFuture<DestroyResourceDirectoryResponse> destroyResourceDirectory(DestroyResourceDirectoryRequest request)
destroyResourceDirectory 在接口中 AsyncClientpublic CompletableFuture<DetachControlPolicyResponse> detachControlPolicy(DetachControlPolicyRequest request)
detachControlPolicy 在接口中 AsyncClientpublic CompletableFuture<DetachPolicyResponse> detachPolicy(DetachPolicyRequest request)
detachPolicy 在接口中 AsyncClientpublic CompletableFuture<DisableControlPolicyResponse> disableControlPolicy(DisableControlPolicyRequest request)
disableControlPolicy 在接口中 AsyncClientpublic CompletableFuture<EnableControlPolicyResponse> enableControlPolicy(EnableControlPolicyRequest request)
enableControlPolicy 在接口中 AsyncClientpublic CompletableFuture<EnableResourceDirectoryResponse> enableResourceDirectory(EnableResourceDirectoryRequest request)
enableResourceDirectory 在接口中 AsyncClientpublic CompletableFuture<GetAccountResponse> getAccount(GetAccountRequest request)
getAccount 在接口中 AsyncClientpublic CompletableFuture<GetAccountDeletionCheckResultResponse> getAccountDeletionCheckResult(GetAccountDeletionCheckResultRequest request)
getAccountDeletionCheckResult 在接口中 AsyncClientpublic CompletableFuture<GetAccountDeletionStatusResponse> getAccountDeletionStatus(GetAccountDeletionStatusRequest request)
getAccountDeletionStatus 在接口中 AsyncClientpublic CompletableFuture<GetControlPolicyResponse> getControlPolicy(GetControlPolicyRequest request)
getControlPolicy 在接口中 AsyncClientpublic CompletableFuture<GetControlPolicyEnablementStatusResponse> getControlPolicyEnablementStatus(GetControlPolicyEnablementStatusRequest request)
getControlPolicyEnablementStatus 在接口中 AsyncClientpublic CompletableFuture<GetFolderResponse> getFolder(GetFolderRequest request)
getFolder 在接口中 AsyncClientpublic CompletableFuture<GetHandshakeResponse> getHandshake(GetHandshakeRequest request)
getHandshake 在接口中 AsyncClientpublic CompletableFuture<GetPayerForAccountResponse> getPayerForAccount(GetPayerForAccountRequest request)
getPayerForAccount 在接口中 AsyncClientpublic CompletableFuture<GetPolicyResponse> getPolicy(GetPolicyRequest request)
getPolicy 在接口中 AsyncClientpublic CompletableFuture<GetPolicyVersionResponse> getPolicyVersion(GetPolicyVersionRequest request)
getPolicyVersion 在接口中 AsyncClientpublic CompletableFuture<GetResourceDirectoryResponse> getResourceDirectory(GetResourceDirectoryRequest request)
getResourceDirectory 在接口中 AsyncClientpublic CompletableFuture<GetResourceGroupResponse> getResourceGroup(GetResourceGroupRequest request)
getResourceGroup 在接口中 AsyncClientpublic CompletableFuture<GetRoleResponse> getRole(GetRoleRequest request)
getRole 在接口中 AsyncClientpublic CompletableFuture<GetServiceLinkedRoleDeletionStatusResponse> getServiceLinkedRoleDeletionStatus(GetServiceLinkedRoleDeletionStatusRequest request)
public CompletableFuture<InitResourceDirectoryResponse> initResourceDirectory(InitResourceDirectoryRequest request)
initResourceDirectory 在接口中 AsyncClientpublic CompletableFuture<InviteAccountToResourceDirectoryResponse> inviteAccountToResourceDirectory(InviteAccountToResourceDirectoryRequest request)
inviteAccountToResourceDirectory 在接口中 AsyncClientpublic CompletableFuture<ListAccountsResponse> listAccounts(ListAccountsRequest request)
listAccounts 在接口中 AsyncClientpublic CompletableFuture<ListAccountsForParentResponse> listAccountsForParent(ListAccountsForParentRequest request)
listAccountsForParent 在接口中 AsyncClientpublic CompletableFuture<ListAncestorsResponse> listAncestors(ListAncestorsRequest request)
listAncestors 在接口中 AsyncClientpublic CompletableFuture<ListControlPoliciesResponse> listControlPolicies(ListControlPoliciesRequest request)
listControlPolicies 在接口中 AsyncClientpublic CompletableFuture<ListControlPolicyAttachmentsForTargetResponse> listControlPolicyAttachmentsForTarget(ListControlPolicyAttachmentsForTargetRequest request)
public CompletableFuture<ListDelegatedAdministratorsResponse> listDelegatedAdministrators(ListDelegatedAdministratorsRequest request)
listDelegatedAdministrators 在接口中 AsyncClientpublic CompletableFuture<ListDelegatedServicesForAccountResponse> listDelegatedServicesForAccount(ListDelegatedServicesForAccountRequest request)
listDelegatedServicesForAccount 在接口中 AsyncClientpublic CompletableFuture<ListFoldersForParentResponse> listFoldersForParent(ListFoldersForParentRequest request)
listFoldersForParent 在接口中 AsyncClientpublic CompletableFuture<ListHandshakesForAccountResponse> listHandshakesForAccount(ListHandshakesForAccountRequest request)
listHandshakesForAccount 在接口中 AsyncClientpublic CompletableFuture<ListHandshakesForResourceDirectoryResponse> listHandshakesForResourceDirectory(ListHandshakesForResourceDirectoryRequest request)
public CompletableFuture<ListPoliciesResponse> listPolicies(ListPoliciesRequest request)
listPolicies 在接口中 AsyncClientpublic CompletableFuture<ListPolicyAttachmentsResponse> listPolicyAttachments(ListPolicyAttachmentsRequest request)
listPolicyAttachments 在接口中 AsyncClientpublic CompletableFuture<ListPolicyVersionsResponse> listPolicyVersions(ListPolicyVersionsRequest request)
listPolicyVersions 在接口中 AsyncClientpublic CompletableFuture<ListResourceGroupsResponse> listResourceGroups(ListResourceGroupsRequest request)
listResourceGroups 在接口中 AsyncClientpublic CompletableFuture<ListResourcesResponse> listResources(ListResourcesRequest request)
listResources 在接口中 AsyncClientpublic CompletableFuture<ListRolesResponse> listRoles(ListRolesRequest request)
listRoles 在接口中 AsyncClientpublic CompletableFuture<ListTagKeysResponse> listTagKeys(ListTagKeysRequest request)
listTagKeys 在接口中 AsyncClientpublic CompletableFuture<ListTagResourcesResponse> listTagResources(ListTagResourcesRequest request)
listTagResources 在接口中 AsyncClientpublic CompletableFuture<ListTagValuesResponse> listTagValues(ListTagValuesRequest request)
listTagValues 在接口中 AsyncClientpublic CompletableFuture<ListTargetAttachmentsForControlPolicyResponse> listTargetAttachmentsForControlPolicy(ListTargetAttachmentsForControlPolicyRequest request)
public CompletableFuture<ListTrustedServiceStatusResponse> listTrustedServiceStatus(ListTrustedServiceStatusRequest request)
listTrustedServiceStatus 在接口中 AsyncClientpublic CompletableFuture<MoveAccountResponse> moveAccount(MoveAccountRequest request)
moveAccount 在接口中 AsyncClientpublic CompletableFuture<MoveResourcesResponse> moveResources(MoveResourcesRequest request)
moveResources 在接口中 AsyncClientpublic CompletableFuture<PromoteResourceAccountResponse> promoteResourceAccount(PromoteResourceAccountRequest request)
promoteResourceAccount 在接口中 AsyncClientpublic CompletableFuture<RegisterDelegatedAdministratorResponse> registerDelegatedAdministrator(RegisterDelegatedAdministratorRequest request)
registerDelegatedAdministrator 在接口中 AsyncClientpublic CompletableFuture<RemoveCloudAccountResponse> removeCloudAccount(RemoveCloudAccountRequest request)
removeCloudAccount 在接口中 AsyncClientpublic CompletableFuture<ResendCreateCloudAccountEmailResponse> resendCreateCloudAccountEmail(ResendCreateCloudAccountEmailRequest request)
resendCreateCloudAccountEmail 在接口中 AsyncClientpublic CompletableFuture<ResendPromoteResourceAccountEmailResponse> resendPromoteResourceAccountEmail(ResendPromoteResourceAccountEmailRequest request)
resendPromoteResourceAccountEmail 在接口中 AsyncClientpublic CompletableFuture<RetryChangeAccountEmailResponse> retryChangeAccountEmail(RetryChangeAccountEmailRequest request)
retryChangeAccountEmail 在接口中 AsyncClientpublic CompletableFuture<SendVerificationCodeForBindSecureMobilePhoneResponse> sendVerificationCodeForBindSecureMobilePhone(SendVerificationCodeForBindSecureMobilePhoneRequest request)
public CompletableFuture<SendVerificationCodeForEnableRDResponse> sendVerificationCodeForEnableRD(SendVerificationCodeForEnableRDRequest request)
sendVerificationCodeForEnableRD 在接口中 AsyncClientpublic CompletableFuture<SetDefaultPolicyVersionResponse> setDefaultPolicyVersion(SetDefaultPolicyVersionRequest request)
setDefaultPolicyVersion 在接口中 AsyncClientpublic CompletableFuture<SetMemberDeletionPermissionResponse> setMemberDeletionPermission(SetMemberDeletionPermissionRequest request)
setMemberDeletionPermission 在接口中 AsyncClientpublic CompletableFuture<TagResourcesResponse> tagResources(TagResourcesRequest request)
tagResources 在接口中 AsyncClientpublic CompletableFuture<UntagResourcesResponse> untagResources(UntagResourcesRequest request)
untagResources 在接口中 AsyncClientpublic CompletableFuture<UpdateAccountResponse> updateAccount(UpdateAccountRequest request)
updateAccount 在接口中 AsyncClientpublic CompletableFuture<UpdateControlPolicyResponse> updateControlPolicy(UpdateControlPolicyRequest request)
updateControlPolicy 在接口中 AsyncClientpublic CompletableFuture<UpdateFolderResponse> updateFolder(UpdateFolderRequest request)
updateFolder 在接口中 AsyncClientpublic CompletableFuture<UpdateResourceGroupResponse> updateResourceGroup(UpdateResourceGroupRequest request)
updateResourceGroup 在接口中 AsyncClientpublic CompletableFuture<UpdateRoleResponse> updateRole(UpdateRoleRequest request)
updateRole 在接口中 AsyncClientCopyright © 2023. All rights reserved.